'''
Convenience function to perform `load_full_data` from 
`load_data_local_numpy` for all_ligands.
'''

from full_data_loading import load_full_data
import numpy as np

all_ligands = ["2209573","VER-5", "VER-4", "2156001", "1869432", "1901118", 
    "1835549", "1860734", "2064475", "1831168", "2062442", "2036332", 
    "2062441", "1900771", "1931126", "1931144", "SAD_18", "SAD_10", 
    "SAD_19", "SAD_3", "SAD_20", "SAD_21", "COMP-7", "COMP-9", "COMP-11", 
    "COMP-12", "COMP-13", "COMP-15", "COMP-17", "COMP-19", "COMP-3", "COMP-4", 
    "COMP-5", "1941224", "2036124", "2213022", "2271059", "1994635", 
    "1998739", "2014795", "2036264", "2035336", "2037086", "2018192", 
    "2111061", "2103621", "2106289", "2097996", "2305586", "2305541", 
    "2215777", "2098037", "2A", "2C", "2S", "3A-D", "3B-D", "2064258", 
    "2111656", "2157065", "2035849", "2120683", "2272207", "2030541", 
    "2110486", "2036265", "SAD_7", "1822743", "1834714",
    "1a","1b","1c","1d","1e","1f","1g","1h","1i","2a","3a","4c","4f",
    "5b","5c","5d","5f","5g","5i","5k","5o","5q","5s","5w","5x"]


outliers = []
current_ligands = np.array(all_ligands)[~np.in1d(all_ligands, outliers)]

load_full_data(root_dir = 'IFP-NEW', #_to_be_replaced_by_a_directory_where_all_IF_are_stored
 			out_dir = '../data/full_data_all_ligands_new-1-94', #to_be_replaced_by_an_existing_directory_to store_the_generated_database'
			data_folder = 'IFP-NEW',
			ligands = current_ligands,
                        initiation_threshold = 2)  # threshold used for building a Data Sets: number < 10 means the number of contacts,  >=10 -percentage of contacts 

